JsonDataBindingSourceCreator.JsonObjectMap (Grails 3.0.10.BUILD-SNAPSHOT)
Date: 2015-12-03

Package: org.grails.web.databinding.bindingsource

## [Groovy] Class JsonObjectMap

- org.grails.web.databinding.bindingsource.JsonDataBindingSourceCreator.JsonObjectMap

- All Implemented Interfaces and Traits:
    java.util.Map

      @groovy.transform.CompileStatic
      class JsonDataBindingSourceCreator.JsonObjectMap

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `com.google.gson.Gson` | `gson`
    `com.google.gson.JsonObject` | `jsonObject`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JsonDataBindingSourceCreator.JsonObjectMap (com.google.gson.JsonObject jsonObject, com.google.gson.Gson gson)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `clear()`
    `boolean` | `containsKey(java.lang.Object o)`
    `boolean` | `containsValue(java.lang.Object o)`
    `java.util.Set<Map.Entry>` | `entrySet()`
    `java.lang.Object` | `get(java.lang.Object o)`
    `boolean` | `isEmpty()`
    `java.util.Set` | `keySet()`
    `java.lang.Object` | `put(java.lang.Object k, java.lang.Object v)`
    `void` | `putAll(java.util.Map map)`
    `java.lang.Object` | `remove(java.lang.Object o)`
    `int` | `size()`
    `java.util.Collection` | `values()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### com.google.gson.Gson gson

    - #### com.google.gson.JsonObject jsonObject

  - ### Constructor Detail

    - #### JsonDataBindingSourceCreator.JsonObjectMap(com.google.gson.JsonObject jsonObject, com.google.gson.Gson gson)

  - ### Method Detail

    - #### void clear()

    - #### boolean containsKey(java.lang.Object o)

    - #### boolean containsValue(java.lang.Object o)

    - #### java.util.Set<Map.Entry> entrySet()

    - #### java.lang.Object get(java.lang.Object o)

    - #### boolean isEmpty()

    - #### java.util.Set keySet()

    - #### java.lang.Object put(java.lang.Object k, java.lang.Object v)

    - #### void putAll(java.util.Map map)

    - #### java.lang.Object remove(java.lang.Object o)

    - #### int size()

    - #### java.util.Collection values()